我要投搞

标签云

收藏小站

爱尚经典语录、名言、句子、散文、日志、唯美图片

当前位置:刘伯温论坛 > 分别编译 >

为什么我运行django总是报错按照网上设置的都没用python37 djang

归档日期:07-22       文本归类:分别编译      文章编辑:爱尚语录

  我猜是不是django2.2版本一直报sqlite3.8.3那个错误?网上的解决办法有两种,分别是:

  1. 降低Django的版本,命令是pip install django==2.1然后就会卸载你安装的2.2版本,自动安装2.1版本,这个报错就会解决。

  2. 升级sqlite的版本,就是根据网上的教程编译安装sqlite3.28版本,编译安装完毕后,网上的教程中不知道他们用的是什么linux发行版,他们的教程似乎可以直接执行,但是在我使用的centos和rhel上,需要添加下面这一步,也就是需要将编译好的库文件拷贝到系统的库文件目录。命令是

  具体的路径可能有一点差异,但是你自己找一下自己系统上的路径是不是这个,加了这一步以后就可以解决这个报错,希望可以帮助到你。更多追问追答追问

  知道合伙人软件行家采纳数:4248获赞数:1045915年数据库维护及数据库应用系统开发经验,从事零售业、服务业及财务管理类系统开发与维护。向TA提问展开全部这种问题,具体情况比较多,你要给截图,才好辅助排除问题更多追问追答追问就是按照网上教程 在虚拟环境中创建项目,然后启动服务,就报错了,什么代码都没写呢

本文链接:http://saltstudios.net/fenbiebianyi/695.html